Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerBuilder

    java.lang.Object
      javax.management.MBeanServerBuilder

Direct Known Subclasses:
  MBeanServerBuilderImpl

public class MBeanServerBuilder
extends Object

The default builder for the MBeanServerFactory.

To use a different builder, set the system property javax.management.builder.initial and subclass this class.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock.
See Also:
  `MBeanServer`, `MBeanServerDelegate`, `MBeanServerFactory`, `MBeanServerImpl`

Constructor Summary
`MBeanServerBuilder()` Construct an MBeanServerBuilder

Method Summary
`MBeanServer` | `newMBeanServer(String defaultDomain, MBeanServer outer, MBeanServerDelegate delegate)` Construct an MBeanServer.
`MBeanServerDelegate` | `newMBeanServerDelegate()` Construct an MBeanServerDelegate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerBuilder

    public MBeanServerBuilder()

  Construct an MBeanServerBuilder

Method Detail

### newMBeanServerDelegate

    public MBeanServerDelegate newMBeanServerDelegate()

  Construct an MBeanServerDelegate.

### newMBeanServer

    public MBeanServer newMBeanServer(String defaultDomain,
                                      MBeanServer outer,
                                      MBeanServerDelegate delegate)

  Construct an MBeanServer.

  Parameters:
    `defaultDomain` - the default domain when an MBean is registered with an ObjectName without a domain.
    `outer` - the wrapping MBeanServer, passed to MBeans at registration.
    `delegate` - the delegate to use for Notifications.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.